%define req_libgnome_version 2.0.2
%define req_libgtkhtml_version 2.1.2

Summary:	GNOME 2 help browser
Name:		yelp
Version: 2.6.2
Release:	2mdk
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:	yelp.png
# (fc) 2.4.2-4mdk strip newline from title 
Patch4:		yelp-2.6.0-title.patch.bz2
# (fc) 2.6.2-2mdk fix typo in po file
Patch5:		yelp-2.6.2-pofix.patch.bz2
URL:		http://www.gnome.org/softwaremap/projects/yelp/
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	libgnome2 >= %{req_libgnome_version}
Requires:	man
BuildRequires:	gettext
BuildRequires:	libglade2.0-devel
BuildRequires:	libgtkhtml2-devel >= %{req_libgtkhtml_version}
BuildRequires:	libgnome2-devel >= %{req_libgnome_version}
BuildRequires:	libgnomeui2-devel
BuildRequires:	libxslt-devel perl-XML-Parser texinfo

%description
Help browser for GNOME 2 which supports docbook documents, info and man.

%prep
%setup -q
%patch4 -p1 -b .title
%patch5 -p1 -b .pofix

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): icon="gnome-help.png" title="Help" longtitle="Get help with GNOME" needs="gnome" section="More Applications/Documentation" command="%{_bindir}/yelp" startup_notify="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-help.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO AUTHORS ChangeLog NEWS
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/yelp
%{_datadir}/sgml/docbook/yelp
%{_menudir}/*
%{_datadir}/pixmaps/*

%changelog
* Mon Sep 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Patch5: fix PO typo (found by Adrian)
- Enable libtoolize

* Tue Aug 31 2004  <fcrozat@mandrakesoft.com> 2.6.2-1mdk
- New release 2.6.2

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Fix menu

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix source URL
- New release 2.6.1

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.6.0-2mdk
- fix buildrequires
- spec cosmetics

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Remove patches 0 (yelp-pregenerate is dead), 1, 3 (no longer needed)
  2 (no longer applicable) 
- Regenerate patch4

* Mon Mar 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-4mdk
- Patch4: strip newline in title
- Fix missing icon in window title

* Tue Jan 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-3mdk
- Patch2 : fix crash when parsing HTML (Mdk bug #4743)
- Patch3 (shaunm): don't generate files everywhere when processing gnumeric
  documentation (Mdk bug #6341)

* Wed Nov 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-2mdk
- Patch1 (DV): use XML Namespace 1.0 compliant yelp-custom.xsl file

* Tue Nov 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- new version

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Requires man, no longer requires docbook dtd (already included) (bug 5548)

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0
- disable yelp-pregenerate, it is too slow and somehow buggy atm

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-2mdk
- Fix BuildRequires

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-2mdk
- Fix description (Yura Gusev)

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6

* Tue Jul 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-2mdk
- Fix missing menu icon (bug #4278)

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Fri Apr 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.0-1mdk
- Release 2.3.0

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Patch0: don't run yelp-pregenerate in drakX

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Rebuild against latest openssl
- Generate cache at install time

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Sat Dec 28 2002 Stefan van der Eijk <stefan@eijk.nu> 2.1.3-2mdk
- BuildRequires: libglade2.0-devel libjpeg-devel

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Tue Nov 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Tue Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.6-2mdk
- BuildRequires

* Fri Oct 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- Release 1.0.6

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Add menu entry

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Recompiled against gail 0.17

* Wed Jun 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Recompiled against gail 0.16

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10

* Mon May  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-1mdk
- Release 0.6.1
- Remove patch0 (merged upstream)

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Update patch0 with official fix

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-2mdk
- Patch0: fix include of gnome customization xsl file

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Initial Mdk package


# end of file
